utils.hh File Reference
`#include <limits>`
`#include <string>`
`#include <sstream>`
`#include <iostream>`
`#include <vector>`
`#include <cmath>`
`#include <stdexcept>`
`#include <mia/core/defines.hh>`
Include dependency graph for utils.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | CCWDSaver
| A Scope based helper class to save and restore the current working directory. More...

## Functions

void | eat_char (std::istream &is, char expect_val, const char *message)
template<typename T>
T | mia_round (double x)
template<typename T>
T | mia_round_clamped (double x)
void EXPORT_CORE | sincos (double x, double *sin, double *cos)
void EXPORT_CORE | sincosf (float x, float *sin, float *cos)

## Function Documentation

## eat_char()

void eat_char | ( | std::istream & | is,
|  | char | expect_val,
|  | const char * | message )

inline

Definition at line 195 of file utils.hh.